#!/bin/sh
#TODO: error log in init
#TODO: prep clean-up script

#prep settings file for angelcamconnector
[ -d /usr/local/packages/angelcamconnector-storage ] || mkdir /usr/local/packages/angelcamconnector-storage
[ -f /usr/local/packages/angelcamconnector-storage/config.json ] || cp /usr/local/packages/angelcamconnector/config-skel.json /usr/local/packages/angelcamconnector-storage/config.json
chown -R sdk: /usr/local/packages/angelcamconnector-storage

#setup system services for angelcamconnector
chmod +x /usr/local/packages/angelcamconnector/angelcamconnector_sdkrunner.sh
cp /usr/local/packages/angelcamconnector/angelcamconnector_sdkrunner.sh /usr/local/packages/angelcamconnector/conf/sdkangelcamconnector
cp /usr/local/packages/angelcamconnector/conf/sdkangelcamconnector /etc/init.d/sdkangelcamconnector

#this autoboots with package.conf STARTMODE= 'once' or 'respawn'
cp /usr/local/packages/angelcamconnector/angelcamconnector.service /etc/systemd/system/acap.target.wants/sdkangelcamconnector.service
systemctl daemon-reload
sleep 1
systemctl start sdkangelcamconnector.service
exit 0
